<div class="container">
  <div class="card mt-4">
    <div class="card-header bg-info text-light">
      <h3>Registration</h3>
    </div>
    <div class="card-body">
      <form #registrationForm="ngForm">
        <div class="form-group">
          <label for="firstName"><b>Firstname: </b></label>
          <input type="text" placeholder="Firstname" [(ngModel)]="registeringUser.firstName" class="form-control" name="firstname"
            required #firstname="ngModel">
          <p class="text-danger" *ngIf="firstname.invalid && (firstname.dirty || firstname.touched)">Field cannot be
            empty</p>
          <label for="lastName"><b>Lastname: </b></label>
          <input type="text" class="form-control" placeholder="Lastname" [(ngModel)]="registeringUser.lastName" name="lastname"
            required #lastname="ngModel">
          <p class="text-danger" *ngIf="lastname.invalid && (lastname.dirty || lastname.touched)">Field cannot be empty</p>
          <div class="form-group">
            <label for="username"><b>Username</b></label>
            <div class="input-group">
              <input type="text" placeholder="Username" class="form-control" [(ngModel)]="registeringUser.username"
                name="username" required #username="ngModel" (input)="onUsernameChange()">
              <div class="input-group-append">
                <span class="input-group-text" *ngIf="userNameAvailable == undefined">
                  <button class="btn btn-link" (click)="onUsernameCheck()" placement="right" ngbTooltip="Check username availability">
                    <i class="text-primary fas fa-redo-alt"></i>
                  </button>
                </span>
                <span class="input-group-text bg-success" *ngIf="userNameAvailable">
                  <i class="far fa-check-circle text-light fa-2x"></i>
                </span>
                <span class="input-group-text bg-danger" *ngIf="userNameAvailable == false">
                  <i class="fas fa-lock text-light fa-2x"></i>
                </span>
              </div>
            </div>
          </div>
          <p class="text-danger" *ngIf="username.invalid && (username.dirty || username.touched)">Field cannot be empty</p>

          <label for="address"><b>Address</b></label>
          <input type="text" placeholder="Address" class="form-control" [(ngModel)]="registeringUser.address" name="address"
            required #address="ngModel">
          <p class="text-danger" *ngIf="address.invalid && (address.dirty || address.touched)">Field cannot be empty</p>

          <label for="email"><b>Email</b></label>
          <input type="text" placeholder="Email" class="form-control" [(ngModel)]="registeringUser.email" name="email"
            required #email="ngModel">
          <p class="text-danger" *ngIf="email.invalid && (email.dirty || email.touched)">Field cannot be empty</p>

          <label for="phoneNumber"><b>Phone number</b></label>
          <input type="text" placeholder="Phone number" class="form-control" [(ngModel)]="registeringUser.phoneNumber"
            name="phoneNumber" required #phoneNumber="ngModel">
          <p class="text-danger" *ngIf="phoneNumber.invalid && (phoneNumber.dirty || phoneNumber.touched)">Field cannot
            be empty</p>





          <label for="password"><b>Password</b></label>
          <input type="password" placeholder="Password" class="form-control" [(ngModel)]="registeringUser.password"
            name="password" required #password="ngModel">
          <p class="text-danger" *ngIf="password.invalid && (password.dirty || password.touched)">Field cannot be empty</p>
          <div class="row mt-5">
            <div class="col-3"></div>
            <button class="btn btn-primary
             col-6" (click)="onRegister()" [disabled]="registrationForm.invalid || !userNameAvailable">REGISTER</button>
            <div class="col-3"></div>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>